Package org.pentaho.reporting.libraries.formula.util

# Class URLEncoder

java.lang.Object
org.pentaho.reporting.libraries.formula.util.URLEncoder

public class URLEncoder extends Object
Creation-Date: Jan 22, 2007, 4:36:38 PM

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`static String`
`encode(String s, String encoding)`
`static String`
`encodeUTF8(String s)`
Encode a string according to RFC 1738.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### encodeUTF8

public static String encodeUTF8(String s)
Encode a string according to RFC 1738.

<quote> "...Only alphanumerics [0-9a-zA-Z], the special characters "$-_.+!*'()," [not including the quotes - ed], and reserved characters used for their reserved purposes may be used unencoded within a URL."</quote>

- The ASCII characters 'a' through 'z', 'A' through 'Z', and '0' through '9' remain the same.

- The unreserved characters - _ . ! ~ * ' ( ) remain the same.

- All other ASCII characters are converted into the 3-character string "%xy", where xy is the two-digit hexadecimal representation of the character code

- All non-ASCII characters are encoded in two steps: first to a sequence of 2 or 3 bytes, using the UTF-8 algorithm; secondly each of these bytes is encoded as "%xx".

Parameters:
  `s` - The string to be encoded
Returns:
  The encoded string

### encode

public static String encode(String s, String encoding) throws UnsupportedEncodingException

Throws:
  `UnsupportedEncodingException`